#ifndef __PDU_DECODE_H
#define __PDU_DECODE_H

#include "pdu.h"

int pdu_decode_timestamp(const char *pdu_str, struct tm *tm);
int pdu_decode_cdma_timestamp(const char *pdu_str, struct tm *tm);
int pdu_decode_addr(const char *pdu_str, struct pdu_addr *addr, int smsc);
int pdu_decode_user_data(const char *pdu_str, struct pdu_info *pdu, int *nr_octets);

int pdu_decode(const char *pdu_str, struct pdu_info *pdu);
int pdu_decode_cdma(const char *pdu_str, struct pdu_info *pdu);

#endif /* ~__PDU_DECODE_H */
