#ifndef __PDU_ENCODE_H
#define __PDU_ENCODE_H

#include "pdu.h"

int pdu_encode_timestamp(char *pdu_str, size_t len, struct tm *tm);
int pdu_encode_addr(char *pdu_str, size_t len, struct pdu_addr *addr, int smsc);
int pdu_encode_user_data(char *pdu_str, size_t len, struct pdu_info *pdu, int *nr_octets);

int pdu_encode(char *pdu_str, size_t len, struct pdu_info *pdu);
int pdu_encode_cdma(char *pdu_str, size_t len, struct pdu_info *pdu);

#endif /* ~__PDU_ENCODE_H */
